org.eclipse.oomph.util

## Class OomphPlugin.BundleFile

- java.lang.Object
- - org.eclipse.oomph.util.OomphPlugin.BundleFile

- All Implemented Interfaces:
    Comparable<OomphPlugin.BundleFile>
  Enclosing class:
    OomphPlugin

      public static class OomphPlugin.BundleFile
      extends Object
      implements Comparable<OomphPlugin.BundleFile>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OomphPlugin.BundleFile(String name, boolean directory, OomphPlugin.BundleFile parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OomphPlugin.BundleFile` | `addChild(String name, boolean directory)`
    `int` | `compareTo(OomphPlugin.BundleFile o)`
    `void` | `export(File target)`
    `org.osgi.framework.Bundle` | `getBundle()`
    `OomphPlugin.BundleFile` | `getChild(String name)`
    `List<OomphPlugin.BundleFile>` | `getChildren()`
    `InputStream` | `getContents()`
    `String` | `getContentsString()`
    `String` | `getName()`
    `OomphPlugin.BundleFile` | `getParent()`
    `String` | `getPath()`
    `boolean` | `isDirectory()`
    `void` | `setContents(String contents)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OomphPlugin.BundleFile

          protected OomphPlugin.BundleFile(String name,
                                boolean directory,
                                OomphPlugin.BundleFile parent)

  - ### Method Detail

    - #### getBundle

          public org.osgi.framework.Bundle getBundle()

    - #### getName

          public String getName()

    - #### isDirectory

          public boolean isDirectory()

    - #### getParent

          public OomphPlugin.BundleFile getParent()

    - #### getPath

          public String getPath()

    - #### getChildren

          public List<OomphPlugin.BundleFile> getChildren()

    - #### getChild

          public OomphPlugin.BundleFile getChild(String name)

    - #### addChild

          public OomphPlugin.BundleFile addChild(String name,
                                        boolean directory)
                                          throws IOException

      Throws:
        `IOException`

    - #### export

          public void export(File target)

    - #### getContents

          public InputStream getContents()

    - #### getContentsString

          public String getContentsString()

    - #### setContents

          public void setContents(String contents)

    - #### compareTo

          public int compareTo(OomphPlugin.BundleFile o)

      Specified by:
        `compareTo` in interface `Comparable<OomphPlugin.BundleFile>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html